캠페인
GET https://notifyc.com/api/campaigns/
curl --request GET \
--url 'https://notifyc.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: name, domain. |
| is_enabled | 선택 사항 부울 | |
| domain_id | 선택 사항 정수 | |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: campaign_id, datetime, last_datetime, name, domain. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890abcdef",
"name": "Example",
"domain": "example.com",
"branding": {
"name": "",
"url": ""
},
"email_reports_is_enabled": true,
"email_reports_last_datetime": "2019-05-22 23:40:17",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-05 20:30:51",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notifyc.com/api/campaigns?page=1",
"last": "https://notifyc.com/api/campaigns?page=1",
"next": null,
"prev": null,
"self": "https://notifyc.com/api/campaigns?page=1"
}
}
GET https://notifyc.com/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890abcdef",
"name": "Example",
"domain": "example.com",
"branding": {
"name": "",
"url": ""
},
"email_reports_is_enabled": true,
"email_reports_last_datetime": "2019-05-22 23:40:17",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-05 20:30:51",
}
}
POST https://notifyc.com/api/campaigns
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| domain_id | 선택 사항 정수 | - |
| name | 필수 문자열 | - |
| domain | 필수 문자열 | - |
| branding_name | 선택 사항 문자열 | - |
| branding_url | 선택 사항 문자열 | - |
| email_reports | 선택 사항 배열 | 알림 처리기 ID |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://notifyc.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'domain=example.com' \
--url 'https://notifyc.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'domain=example.com' \
{
"data": {
"id": 1
}
}
POST https://notifyc.com/api/campaigns/{campaign_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| domain_id | 선택 사항 정수 | - |
| name | 선택 사항 문자열 | - |
| domain | 선택 사항 문자열 | - |
| branding_name | 선택 사항 문자열 | - |
| branding_url | 선택 사항 문자열 | - |
| email_reports | 선택 사항 배열 | 알림 처리기 ID |
| is_enabled | 선택 사항 부울 | - |
curl --request POST \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://notifyc.com/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifyc.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \